"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseDataTypeSetup = void 0;
var breeze_client_1 = require("breeze-client");
var BaseDataTypeSetup = (function () {
    function BaseDataTypeSetup() {
        this.addSymbol = null;
        this.fmtOData = null;
    }
    BaseDataTypeSetup.prototype.handleInvalidValue = function (val) {
        throw new Error("".concat(val, " is not a valid ").concat(this.name));
    };
    BaseDataTypeSetup.prototype.register = function () {
        if (!!this.addSymbol) {
            this.addSymbol();
        }
        if (!!this.fmtOData) {
            breeze_client_1.DataType[this.name].fmtOData = this.fmtOData;
        }
        breeze_client_1.DataType._resolvedNamesAndSymbols = null;
    };
    return BaseDataTypeSetup;
}());
exports.BaseDataTypeSetup = BaseDataTypeSetup;
//# sourceMappingURL=base-datatype-setup.js.map