"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.StreamDataTypeSetup = void 0;
var breeze_client_1 = require("breeze-client");
var base_datatype_setup_1 = require("./base-datatype-setup");
var StreamDataTypeSetup = (function (_super) {
    __extends(StreamDataTypeSetup, _super);
    function StreamDataTypeSetup() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.name = 'Stream';
        _this.addSymbol = function () {
            var result = new breeze_client_1.DataType({
                defaultValue: '',
                fmtOData: breeze_client_1.DataType.String.fmtOData,
                name: _this.name,
                parse: breeze_client_1.DataType.String.parse,
                validatorCtor: breeze_client_1.Validator.string
            });
            breeze_client_1.DataType[_this.name] = result;
            return result;
        };
        return _this;
    }
    return StreamDataTypeSetup;
}(base_datatype_setup_1.BaseDataTypeSetup));
exports.StreamDataTypeSetup = StreamDataTypeSetup;
//# sourceMappingURL=stream-datatype-setup.js.map