"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeDataTypeSetup = void 0;
var breeze_client_1 = require("breeze-client");
var base_datatype_setup_1 = require("./base-datatype-setup");
var TimeDataTypeSetup = (function (_super) {
    __extends(TimeDataTypeSetup, _super);
    function TimeDataTypeSetup() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.name = 'Time';
        _this.fmtOData = function (val) {
            if (!val) {
                return null;
            }
            if (!breeze_client_1.core.isDuration(val)) {
                throw new Error("".concat(val, " is not a valid ISO 8601 duration"));
            }
            return val;
        };
        return _this;
    }
    return TimeDataTypeSetup;
}(base_datatype_setup_1.BaseDataTypeSetup));
exports.TimeDataTypeSetup = TimeDataTypeSetup;
//# sourceMappingURL=time-datatype-setup.js.map