"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DisplayNameDecorator = void 0;
var DisplayNameDecorator = (function () {
    function DisplayNameDecorator() {
    }
    DisplayNameDecorator.prototype.canDecorate = function (annotation) {
        return annotation.term === 'Org.OData.Display.V1.DisplayName' || /.\.DisplayName$/.test(annotation.term);
    };
    DisplayNameDecorator.prototype.decorate = function (expression, annotation) {
        var value = annotation.string;
        expression.displayName = typeof value === 'string' ? value : value.text;
    };
    return DisplayNameDecorator;
}());
exports.DisplayNameDecorator = DisplayNameDecorator;
//# sourceMappingURL=display-name-decorator.js.map