import { Edm, Edmx } from 'ts-odatajs';
import { AnnotationDecorator } from '../decorators/annotation-decorator';
import { MetadataAdapter } from './metadata-adapter';
export declare const TargetNotFound = "Could not find element with type name";
export declare class AnnotationAdapter implements MetadataAdapter {
    private metadata;
    decorators: AnnotationDecorator[];
    private edmTypes;
    constructor();
    adapt(metadata: Edmx.DataServices): void;
    adaptSchema(schema: Edm.Schema): void;
    private getAnnotatableType;
}
