import { MetadataAdapter } from './adapters/metadata-adapter';
import { Type } from './class-registry';
import { DataTypeSetup } from './datatypes/setups/datatype-setup';
import { AnnotationDecorator } from './decorators/annotation-decorator';
import { AssociationEndpoint } from './models';
export interface BreezeOData4Options {
    allowManyToManyRelationships: boolean;
    annotationDecorators: Type<AnnotationDecorator>[];
    dataTypeSetups: Type<DataTypeSetup>[];
    foreignKeyConventions: ((endpoint: AssociationEndpoint, suffix: string) => string)[];
    inferNavigationPropertyPartner: boolean;
    inferReferentialConstraints: boolean;
    initializeAdapters: boolean;
    metadataAdapters: Type<MetadataAdapter>[];
}
export declare const DefaultOptions: BreezeOData4Options;
