import { Edm } from 'ts-odatajs';
import { AssociationEndpoint } from '.';
export declare class AssociationSet {
    private _endpoints;
    namespace: string;
    constructor(namespace: string, endpoint: AssociationEndpoint, partnerEndpoint: AssociationEndpoint);
    get associationName(): string;
    containsProperty(navigationProperty: Edm.NavigationProperty): boolean;
    get endpoints(): AssociationEndpoint[];
    set endpoints(value: AssociationEndpoint[]);
    getPartnerEndpoint(endpoint: AssociationEndpoint): AssociationEndpoint;
    get fullyMapped(): boolean;
    get name(): string;
}
