"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClassRegistry = exports.ClassRepository = void 0;
var ClassRepository = (function () {
    function ClassRepository() {
        this.types = [];
    }
    ClassRepository.prototype.add = function () {
        var types = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            types[_i] = arguments[_i];
        }
        this.types = this.types.concat(types);
    };
    ClassRepository.prototype.get = function () {
        var results = this.types.map(function (t) { return new t(); });
        return results;
    };
    return ClassRepository;
}());
exports.ClassRepository = ClassRepository;
var ClassRegistry = (function () {
    function ClassRegistry() {
    }
    ClassRegistry.AnnotationDecorators = new ClassRepository();
    ClassRegistry.DataTypeSetups = new ClassRepository();
    ClassRegistry.MetadataAdapters = new ClassRepository();
    return ClassRegistry;
}());
exports.ClassRegistry = ClassRegistry;
//# sourceMappingURL=class-registry.js.map