"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DurationDataTypeSetup = void 0;
var breeze_client_1 = require("breeze-client");
var base_datatype_setup_1 = require("./base-datatype-setup");
var DurationDataTypeSetup = (function (_super) {
    __extends(DurationDataTypeSetup, _super);
    function DurationDataTypeSetup() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.name = 'Duration';
        _this.fmtOData = function (val) {
            if (!val) {
                return null;
            }
            if (!breeze_client_1.core.isDuration(val)) {
                throw new Error("".concat(val, " is not a valid ISO 8601 duration"));
            }
            return val;
        };
        _this.addSymbol = function () {
            var result = new breeze_client_1.DataType(__assign(__assign({}, breeze_client_1.DataType.Time), { name: _this.name, parseRawValue: breeze_client_1.DataType.parseTimeFromServer }));
            breeze_client_1.DataType[_this.name] = result;
            return result;
        };
        return _this;
    }
    return DurationDataTypeSetup;
}(base_datatype_setup_1.BaseDataTypeSetup));
exports.DurationDataTypeSetup = DurationDataTypeSetup;
//# sourceMappingURL=duration-datatype-setup.js.map