"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumericDataTypeSetup = void 0;
var breeze_client_1 = require("breeze-client");
var base_datatype_setup_1 = require("./base-datatype-setup");
var NumericDataTypeSetup = (function (_super) {
    __extends(NumericDataTypeSetup, _super);
    function NumericDataTypeSetup() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.fmtOData = function (val) {
            if (typeof val === 'undefined' || val === null) {
                return null;
            }
            if (typeof val === 'string') {
                val = parseFloat(val);
            }
            return val;
        };
        return _this;
    }
    NumericDataTypeSetup.prototype.register = function () {
        breeze_client_1.DataType.Decimal.fmtOData = this.fmtOData;
        breeze_client_1.DataType.Double.fmtOData = this.fmtOData;
        breeze_client_1.DataType.Int64.fmtOData = this.fmtOData;
    };
    return NumericDataTypeSetup;
}(base_datatype_setup_1.BaseDataTypeSetup));
exports.NumericDataTypeSetup = NumericDataTypeSetup;
//# sourceMappingURL=numeric-datatype-setup.js.map