"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StoreGeneratedPatternDecorator = void 0;
var StoreGeneratedPatternDecorator = (function () {
    function StoreGeneratedPatternDecorator() {
    }
    StoreGeneratedPatternDecorator.prototype.canDecorate = function (annotation) {
        return /.\.StoreGeneratedPattern$/.test(annotation.term);
    };
    StoreGeneratedPatternDecorator.prototype.decorate = function (expression, annotation) {
        var value = annotation.string;
        expression.StoreGeneratedPattern = typeof value === 'string' ? value : value.text;
    };
    return StoreGeneratedPatternDecorator;
}());
exports.StoreGeneratedPatternDecorator = StoreGeneratedPatternDecorator;
//# sourceMappingURL=store-generated-pattern-decorator.js.map