import { AndOrPredicate, AnyAllPredicate, BinaryPredicate, FnExpr, LitExpr, PropExpr, UnaryPredicate, VisitContext } from 'breeze-client';
export declare class OData4PredicateVisitor {
    static initialize(): void;
    passthruPredicate(this: any): string;
    unaryPredicate(this: UnaryPredicate, context: VisitContext): string;
    binaryPredicate(this: BinaryPredicate, context: VisitContext): string;
    andOrPredicate(this: AndOrPredicate, context: VisitContext): string;
    anyAllPredicate(this: AnyAllPredicate, context: VisitContext): string;
    litExpr(this: LitExpr): any;
    propExpr(this: PropExpr, context: VisitContext): string;
    fnExpr(this: FnExpr, context: VisitContext): string;
}
