import { EntityQuery, MetadataStore, UriBuilderAdapter } from 'breeze-client';
export interface QueryOptionsBase {
    expand?: ExpandOptions[];
    filter?: string;
    select?: string[];
}
export interface QueryOptions extends QueryOptionsBase {
    count?: boolean;
    orderby?: string;
    skip?: number;
    top?: number;
}
export interface ExpandOptions extends QueryOptionsBase {
    name: string;
}
export declare class OData4UriBuilder implements UriBuilderAdapter {
    static BreezeAdapterName: string;
    name: string;
    static register(): void;
    initialize(): void;
    buildUri(entityQuery: EntityQuery, metadataStore: MetadataStore): string;
    private buildQueryOptions;
    private getResource;
    private getQueryOptions;
    private addExpandOption;
    private addExpandOptionsFromSubqueries;
    private addSelectOption;
    private toWhereODataFragment;
    private toOrderByODataFragment;
    private toQueryOptionsString;
    private getSelectString;
    private getFilterString;
    private getExpandString;
    private formatString;
}
