import { Edm } from 'ts-odatajs';
import { AnnotationDecorator } from './annotation-decorator';
export interface ExpressionWithDescription extends Edm.Base.Annotatable {
    description?: string;
}
export declare class DescriptionDecorator implements AnnotationDecorator {
    terms: string[];
    canDecorate(annotation: Edm.Annotation): boolean;
    decorate(expression: ExpressionWithDescription, annotation: Edm.Annotation): void;
}
