import { Edm } from 'ts-odatajs';
import { AnnotationDecorator } from './annotation-decorator';
export interface ExpressionWithDisplayName extends Edm.Base.Annotatable {
    displayName?: string;
}
export declare class DisplayNameDecorator implements AnnotationDecorator {
    canDecorate(annotation: Edm.Annotation): boolean;
    decorate(expression: ExpressionWithDisplayName, annotation: Edm.Annotation): void;
}
