import { Edm } from 'ts-odatajs';
import { AnnotationDecorator } from './annotation-decorator';
export interface ExpressionWithValidators extends Edm.Base.Annotatable {
    validators?: any[];
}
export declare class ValidatorDecorator implements AnnotationDecorator {
    canDecorate(annotation: Edm.Annotation): boolean;
    decorate(expression: ExpressionWithValidators, annotation: Edm.Annotation): void;
}
